<?php
/**
*
*@package wp-site-portfolio
*/
function wpspf_add_submenu_page() {

	add_submenu_page( 
		'edit.php?post_type=sites', 
		__( 'Site Portfolio Settings', 'wp-site-portfolio' ), 
		__( 'Site Portfolio Settings', 'wp-site-portfolio' ), 
		'manage_options', 
		'site_portfolio_settings', 
		'site_portfolio_setting_callback' 
	);
//==========================
// Activate custom settings
//==========================
	add_action('admin_init', 'wpspf_custom_settings');
}
add_action( 'admin_menu', 'wpspf_add_submenu_page' );
function site_portfolio_setting_callback() {

	require_once(plugin_dir_path( __FILE__ ) .  '/wpspf-settings-page.php');

}
//==========================
//   Enqueue admin scripts
//==========================
function wpspf_admin_enqueue_scripts(){
	wp_enqueue_media();
	global $pagenow, $typenow;
	
	if ( $pagenow =='edit.php' && $typenow == 'sites') {
		wp_enqueue_script( 'wpspf-admin-media-upload', plugins_url('js/wpspf-admin-media-upload.js',( __FILE__ ) ), array( 'jquery' ), '1.0.0', true );
		wp_register_style( 'wpspf-admin-css', plugins_url('/admin/css/wpspf-admin-style.css',dirname(__FILE__) ) );
	
		wp_enqueue_style( 'wpspf-admin-css' );
	}
}
add_action('admin_enqueue_scripts', 'wpspf_admin_enqueue_scripts');

//===========================
//      Register Settings
//===========================
function wpspf_custom_settings(){
	
	register_setting( 'wpspf-settings-group', 'logo_img'  		);
	register_setting( 'wpspf-settings-group', 'desktop_width' 	);
	register_setting( 'wpspf-settings-group', 'desktop_height' 	);
	register_setting( 'wpspf-settings-group', 'tablet_wigth' 	);
	register_setting( 'wpspf-settings-group', 'tablet_heigth' 	);
	register_setting( 'wpspf-settings-group', 'mobile_width' 	);
	register_setting( 'wpspf-settings-group', 'mobile_heigth' 	);
	//==========================
	//   Add Settings Sections
	//==========================
	add_settings_section( 'wpspf-logo-img-options', __('Logo Options', 'wp-site-portfolio'), 'wpspf_logo_img_upload', 'site_portfolio_settings' );
	add_settings_section( 'wpspf-screen-size-options', __('Screen Size Options', 'wp-site-portfolio'), 'wpspf_screen_size_options', 'site_portfolio_settings' );
	add_settings_section( 'wpspf-shortcode-text', __('Shortcode', 'wp-site-portfolio'), 'wpspf_shortcode_text', 'site_portfolio_settings' );
	add_settings_section( 'wpspf-costumize-text', __('Edit Grid And Colors', 'wp-site-portfolio'), 'wpspf_costumize_text', 'site_portfolio_settings' );
	//==========================
	//    Add Settings Fiedls
	//==========================

	//logo
	add_settings_field( 'wpspf-logo-upload', __('Choose Your Logo ', 'wp-site-portfolio'), 'wpspf_logo_upload', 'site_portfolio_settings', 'wpspf-logo-img-options' );	
	//screen
   add_settings_field( 'wpspf-desktop-view', __('Desktop Width & Height View ', 'wp-site-portfolio'), 'wpspf_desktop_view', 'site_portfolio_settings', 'wpspf-screen-size-options' );	
   add_settings_field( 'wpspf-tablet-view', __('Tablet Width & Height View ', 'wp-site-portfolio'), 'wpspf_tablet_view', 'site_portfolio_settings', 'wpspf-screen-size-options' );	
   add_settings_field( 'wpspf-mobile-view', __('Mobile Width & Height View ', 'wp-site-portfolio'), 'wpspf_mobile_view', 'site_portfolio_settings', 'wpspf-screen-size-options' );	
}

function wpspf_logo_img_upload(){
	echo '<div class="wpspf-admin-left">';
	echo __('Choose / Upload Your Custom Logo', 'wp-site-portfolio'	);
	echo '<p class="description">';
	echo __('NOTE: The max recommended heigth is 35px ', 'wp-site-portfolio' );
	echo '</p>';
	
}

function wpspf_logo_upload(){
	
	$logo = esc_attr( get_option('logo_img') );
	if( empty( $logo ) ){
		$logo =  plugins_url('includes/img/logoW.png', dirname(__FILE__));
		}
	echo '<p class="description"> '.esc_html__('Logo Preview', 'wp-site-portfolio').' </p>';
	echo'<div class="logo"><img id="logo-prev" src="' .$logo.  '" height="35" style="margin-bottom:10px;" /></div>';
	echo '<input type="button" value="' .__('Upload Logo', 'wp-site-portfolio'). '" id="upload-logo" /><input type="hidden" id="logo-img" name="logo_img"  value="'.$logo.'"  />' ;
	
}
	
function wpspf_screen_size_options(){
	echo __('Chainge Screen Size View', 'wp-site-portfolio');
	echo '<p class="description">';
	echo __('NOTE: Do not enter px after the valeu!', 'wp-site-portfolio');
	echo '</p>';
		
}

function wpspf_desktop_view(){
	
	$desktopWidth = esc_attr( get_option('desktop_width') );
	if ( empty( $desktopWidth ) ){
		$desktopWidth =  '1366';
		}
		
	echo '<input type="text" name="desktop_width" value="'.$desktopWidth.'"placeholder="' .__('Desktop Width View', 'wp-site-portfolio'). '" />';
			
	$desktopheight = esc_attr( get_option('desktop_height') );
	if ( empty( $desktopheight ) ){
		$desktopheight =  '595';
		}
		
	echo '<input type="text" name="desktop_height" value="'.$desktopheight.'" placeholder="' .__('Desktop Height View', 'wp-site-portfolio'). '"/>';
	echo '<p class="description">';
	echo __('Defult value for width is 1366 and for heigth is 595', 'wp-site-portfolio');
	echo '</p>';
	
}

function wpspf_tablet_view(){
	
	$tabletWidth = esc_attr( get_option('tablet_width') );
	if ( empty( $tabletWidth ) ){
		$tabletWidth =  '760';
		}
		
	echo '<input type="text" name="tablet_width" value="'.$tabletWidth.'" placeholder="' .__('Tablet Width View', 'wp-site-portfolio'). '" />';
			
	$tabletheight = esc_attr( get_option('tablet_heigth') );
	if ( empty( $tabletheight ) ){
		$tabletheight =  '480';
		}
		
	echo '<input type="text" name="tablet_heigth" value="'.$tabletheight.'" placeholder="' .__('Tablet Height View', 'wp-site-portfolio'). '" />';
	echo '<p class="description">';
	echo __('Defult value for width is 760 and for heigth is 480', 'wp-site-portfolio');
	echo '</p>';
	
}

function wpspf_mobile_view(){
	
	$mobileWidth = esc_attr( get_option('mobile_width') );
	if ( empty( $mobileWidth ) ){
		$mobileWidth =  '300';
		}
		
	echo '<input type="text" name="mobile_width" value="'.$mobileWidth.'" placeholder="' .__('Mobile Width View', 'wp-site-portfolio'). '" />';
			
	$mobileheight = esc_attr( get_option('mobile_heigth') );
	if ( empty( $mobileheight ) ){
		$mobileheight =  '540';
		}
		
	echo '<input type="text" name="mobile_heigth" value="'.$mobileheight.'" placeholder="' .__('Mobile Height View', 'wp-site-portfolio'). '" />';
	echo '<p class="description">';
	echo __('Defult value for width is 300 and for heigth is 540', 'wp-site-portfolio');
	echo '</p>';
}

function wpspf_shortcode_text(){
	echo __('Copy this shortcode ->', 'wp-site-portfolio');	
	echo '<strong>';
	echo __(' [site_portfolio] ');
	echo '</strong>';
	echo __('and paste it in the text editor on eny page or in your page builder', 'wp-site-portfolio');
}

function wpspf_costumize_text(){
	echo __('Edit the grid layout and preview colors in the costumizer.', 'wp-site-portfolio');	
	echo '<p>';
	echo __('Go to Appearance -> Costumize, In the costumizer go to Wp Site Portfolio Settings.', 'wp-site-portfolio');	
	echo '</p>';
	echo '</div>';
}
//==============================
//   Customize Toolbat Colors
//==============================
function wpspf_toolbar_customize_register($wp_customize){
	//===================
	//   Add Setiings
	//===================

	$wp_customize-> add_setting('wpspf_toolbar_color', 
		array(
			'default'   => '#020202',
			'type' => 'option',
			'transport' => 'refresh',

	));

		$wp_customize-> add_setting('wpspf_bg_color', 
		array(
			'default'   => '#c7c7c7',
			'type' => 'option',
			'transport' => 'refresh',

	));

/*	$wp_customize-> add_setting('wpspf_icon_color', 
		array(
			'default'   => '#9e9e9e',
			'transport' => 'refresh',

	));*/


	$wp_customize-> add_setting('wpspf_title_color', 
		array(
			'default'   => '#262626',
			'type' => 'option',
			'transport' => 'refresh',

	));

	$wp_customize-> add_setting('wpspf_border_color', 
		array(
			'default'   => '#ffffff',
			'type' => 'option',
			'transport' => 'refresh',

	));

	$wp_customize-> add_setting('wpspf_row_item', 
		array(
			'default' => '33.3333333%',
			'type' => 'option',
			'transport' => 'refresh',

	));
	//========================
	//      Create Panel
	//========================
	$wp_customize-> add_panel('wpspf_panel', 
		array(
			'title' 		=> __('Wp Site Portfolio Settings', 'wp-site-portfolio'),
			'description' 	=> __('Edit the layout of the Portfolio grid, edit the Preview, Colors and Size of the Preview', 'wp-site-portfolio'),
			'priority' 		=> 30,

		));
	//======================
	//     Create Section
	//======================
	$wp_customize-> add_section('wpspf_grid', 
		array(
			'title' 	=> __('Wp Site Portfolio Grid Settings', 'wp-site-portfolio'),
			'priority' 	=> 30,
			'panel' 	=> 'wpspf_panel',

	));

	$wp_customize-> add_section('wpspf_colors', 
		array(
			'title' 	=> __('Wp Site Portfolio Colors Settings', 'wp-site-portfolio'),
			'priority' 	=> 31,
			'panel' 	=> 'wpspf_panel',

	));
	//====================
	//     Add Control
	//====================
	$wp_customize-> add_control(new WP_Customize_Color_Control($wp_customize, 'wpspf_toolbar_color_control', 
		array(
			'label'		=> __('Toolbar Color', 'wp-site-portfolio'),
			'section'	=> 'wpspf_colors',
			'settings'	=> 'wpspf_toolbar_color'


	) ) );

	$wp_customize-> add_control(new WP_Customize_Color_Control($wp_customize, 'wpspf_bg_color_control', 
		array(
			'label'		=> __('Background Color', 'wp-site-portfolio'),
			'section'	=> 'wpspf_colors',
			'settings'	=> 'wpspf_bg_color'


	) ) );

	/*$wp_customize-> add_control(new WP_Customize_Color_Control($wp_customize, 'wpspf_icon_color_control', 
		array(
			'label'		=> __('Icons Color', 'wp-site-portfolio'),
			'section'	=> 'wpspf_colors',
			'settings'	=> 'wpspf_icon_color'


	) ) );*/


	$wp_customize-> add_control(new WP_Customize_Color_Control($wp_customize, 'wpspf_title_color_control', 
		array(
			'label'		=> __('Title Color', 'wp-site-portfolio'),
			'section'	=> 'wpspf_colors',
			'settings'	=> 'wpspf_title_color'


	) ) );

	$wp_customize-> add_control(new WP_Customize_Color_Control($wp_customize, 'wpspf_border_color_control', 
		array(
			'label'		=> __('Border Color', 'wp-site-portfolio'),
			'section'	=> 'wpspf_colors',
			'settings'	=> 'wpspf_border_color'


	) ) );	

	$wp_customize-> add_control('wpspf_row_item_control', 
		array(
			'type'			 => 'select',
			'section' 		 => 'wpspf_grid',
			'settings'		 => 'wpspf_row_item',
			'label'			 => __('Grid Layout', 'wp-site-portfolio'),
			'description'	 => __('Number Of Items Per Row', 'wp-site-portfolio'),
			'choices'		 => array(
				'100%' 			=> __('1 Items', 'wp-site-portfolio'),
				'50%' 			=> __('2 Items', 'wp-site-portfolio'),
				'33.3333333%' 	=> __('3 Items', 'wp-site-portfolio'),
				'25%' 			=> __('4 Items', 'wp-site-portfolio'),
				'20%'		 	=> __('5 Items', 'wp-site-portfolio'),
				'16.6666667%' 	=> __('6 Items', 'wp-site-portfolio'),
				'14.2857143%' 	=> __('7 Items', 'wp-site-portfolio'),
				'12.5%' 		=> __('8 Items', 'wp-site-portfolio'),
				'11.1111111%' 	=> __('9 Items', 'wp-site-portfolio'),
				'10%' 			=> __('10 Items', 'wp-site-portfolio')
				
			),
		));;

}

add_action('customize_register', 'wpspf_toolbar_customize_register');
//==========================
//    Output Costomize CSS
//==========================
function wpspf_cusomize_css(){ ?>

<style type="text/css">
	.toolbar{
		background: <?php echo get_option('wpspf_toolbar_color', '#020202'); ?> ;
	}

	.wpspf_iframecont{
		background: <?php echo get_option('wpspf_bg_color', '#c7c7c7'); ?> ;

	}

	/*.closeback,.iconcont i{
		color: <?php //echo get_theme_mod('wpspf_icon_color'); ?> !important;
	}*/

	.titlecont h1{
		color: <?php echo get_option('wpspf_title_color', '#ffffff'); ?> ;
	}
	iframe#ifrm{
		border-color: <?php echo get_option('wpspf_border_color', '#262626'); ?> !important;
	}
	iframe{
		background: <?php echo get_option('wpspf_border_color', '#262626'); ?>;
	}
	.wpspf-box-cont{
		width: <?php echo get_option('wpspf_row_item', '3'); ?>;
	}

</style>

<?php }

add_action('wp_head', 'wpspf_cusomize_css');