<?php
/**
*
*@package wp-site-portfolio
*/

/**
 * Register style sheet.
 */
function register_wpspf_styles() {

	wp_register_style( 'wp-site-portfolio', plugins_url('/includes/css/wpspf-style.css',dirname(__FILE__) ) );
	
	wp_enqueue_style( 'wp-site-portfolio' );
	
}
// Register style sheet.
add_action( 'wp_enqueue_scripts', 'register_wpspf_styles' );

//Enqueue  scripts
function wpspf_enqueue_scripts(){
	
		wp_register_script( 'wpspf-script', plugins_url('js/wpspf-js.js',(__FILE__) ), array( 'jquery' ), '1.0.0', true );
		wp_enqueue_script('wpspf-script');

		wp_localize_script('wpspf-script', 'wpspf_script_vars', array(
			'mobileWidth'   => esc_attr( get_option('mobile_width', '300') ),
			'mobileheight'  => esc_attr( get_option('mobile_heigth', '540') ),
			'tabletWidth'   => esc_attr( get_option('tablet_width', '760') ),
			'tabletheight'  => esc_attr( get_option('tablet_heidht', '480') ),
			'desktopWidth'  => esc_attr( get_option('desktop_width', '100%') ),
			'desktopheight' => esc_attr( get_option('desktop_height', '100%') )

		)
	);
	
	
}
add_action('wp_enqueue_scripts', 'wpspf_enqueue_scripts');
