<?php
/**
*
*@package wp-site-portfolio
*/

function wpspf_full_shortcode() {

	$wpspf_display = '<div class="wpspf-cont">';
	$wpspf_display .= '<ul class="wpspf-cat-cont">';
	$wpspf_terms = get_terms( array('taxonomy'=>'sitecategory', 'hide_empty'=> true,) );
	$wpspf_count = count($wpspf_terms);
	$wpspf_display .= '<li class="wpspf-button active" data-filter="all">'.__('ALL', 'wp-site-portfolio').'</li>';
	if ( $wpspf_count > 0 ){
		if ( !empty($wpspf_terms)){

		foreach ($wpspf_terms as $wpspf_term) {
				$wpspf_filter = $wpspf_term->name;
				$tax_wpspf_filter = str_replace(' ', '-', $wpspf_filter);
				$wpspf_display .= '<li class="wpspf-button" data-filter="'.esc_html($tax_wpspf_filter).'">'.esc_html($wpspf_term->name).'</li>';
		}
		$wpspf_display .= '<div style="clear: both;"></div>';
	}}
	$wpspf_display .= '</ul>';
	$wpspf_display .= '<div class="wpspf-site-cont">';
	/*Query the post*/
		$args = array(
			'post_type' => 'sites',
			'post_status' => 'publish',
			'posts_per_page' => -1,
		);

		$wpspf_loop = new WP_Query($args);
		while ( $wpspf_loop->have_posts() ) : $wpspf_loop->the_post();
			/*==================================================
			Pull category for each unique post using the ID
			====================================================*/
			$post = $wpspf_loop;
			$wpspf_terms = get_the_terms( $post->ID, 'sitecategory');
			if( $wpspf_terms && ! is_wp_error( $wpspf_terms) ):
				$links = array();

				foreach ( $wpspf_terms as $wpspf_term ) {
					$links[] = $wpspf_term->name;
				}

				$tax_links = join(" ", str_replace(' ', '-', $links) );
				$tax = strtolower($tax_links);
				$sitelink = get_permalink();
				$sitetitle= get_the_title();
				$sitethumbnail = get_the_post_thumbnail();
				$sites= get_post_meta( get_the_ID());
				$logo = esc_attr( get_option('logo_img') );
						if( empty( $logo ) ){
							$logo =  plugins_url('img/logoW.png', dirname(__FILE__));
						} 
			    $imgload= plugins_url() . '/wp-site-portfolio/includes/img/Reload-1s-200px.gif';
			    $loading_title = esc_html__('Loading Preview', 'wp-site-portfolio');
			    $loading_desc = esc_html__('...The website is loading please wait a few seconds', 'wp-site-portfolio');
			    $desktopWidth = esc_attr( get_option('desktop_width') );
			    $desktopheight = esc_attr( get_option('desktop_height') );
		$wpspf_display .= sprintf('<div class="wpspf-box-cont filter %s">', esc_html($tax ) );
		$wpspf_display .= '<div class="wpspf-box">';	    
		/*$wpspf_display .= sprintf('<div class="wpspf-box filter %s">', esc_html($tax ) );*/
		$wpspf_display .= sprintf('<a href="%s"  title="%s">', esc_attr($sites['sites_url'][0]), esc_html($sitetitle) );
		$wpspf_display .= '<div class="wpspf-thumbnail">';
		$wpspf_display .=  $sitethumbnail;
		$wpspf_display .= '<div class="hover-text">';
		$wpspf_display .= '<div class="text">';
		$wpspf_display .= esc_html__('Preview','wp-site-portfolio');
		$wpspf_display .= '<i class="fa fa-search-plus fa-2x" aria-hidden="true"></i>';
		$wpspf_display .= '</div></div>';
		$wpspf_display .= '</div>';
		$wpspf_display .= '<div class="wpspf-title">';
		$wpspf_display .= esc_html($sitetitle);
		$wpspf_display .= '</div>';
		$wpspf_display .= '</a>';
		$wpspf_display .= '</div>';
		$wpspf_display .= '</div>';
			else :
				$tax = '';
			endif;
		
		endwhile;
		$wpspf_display .= '</div></div>';
		$wpspf_display .=  '<div id="cont" class="lbcont" data-display="hidden">';
		$wpspf_display .= '<div class="toolbar">';

		$wpspf_display .= sprintf('<div class="logocont"><i class="logo"><img src="%s" height="35"></i></div>', esc_url($logo) );
		$wpspf_display .= '<div class="iconcont">';
  		$wpspf_display .= '<div class="phonecont"><i id="phone" class="wpspficon fa fa-mobile fa-2x icons" aria-hidden="true"></i></div>';
		$wpspf_display .= '<div class="tabcont"><i id="tab" class="wpspficon fa fa-tablet fa-2x icons" aria-hidden="true"></i></div>';
		$wpspf_display .= '<div class="compcont"><i id="comp" class="wpspficon fa fa-desktop fa-2x icons iconactive" aria-hidden="true"></i></div>';
		$wpspf_display .= '</div>';
		$wpspf_display .= '<div class="titlecont"><h1></h1>';
		$wpspf_display .= '</div>';
		$wpspf_display .= '<div class="closeback"></dir><i id="clos" class="wpspficon fa fa-times fa-1x icons" aria-hidden="true"></i></div>';
		$wpspf_display .= '</div>';
		$wpspf_display .= '<div class="wpspf_iframecont">';
		$wpspf_display .= '<div class="loading-iframe" id="loading_iframe">';
		$wpspf_display .= sprintf('<div class="loading-title"><h2>%s</h2></div>', esc_html($loading_title) );
		$wpspf_display .= sprintf('<div class="loading-desc"><p>%s</p>', esc_html($loading_desc) );
		$wpspf_display .= sprintf( '<img src="%s"></div>', esc_url($imgload) );
		$wpspf_display .= '</div>';
		$wpspf_display .= '</div>';
		$wpspf_display .= '</div>';
		



	return $wpspf_display;

}
add_shortcode('site_portfolio', 'wpspf_full_shortcode');
/*cat*/

function wpspf_category_shortcode( $atts, $content = null ) {
	if ( ! isset( $atts['category'] ) ) {
		return '<p class="job-error">You must provide a category for this shortcode to work.</p>'; 
	}
	$atts = shortcode_atts( array(
                'category'   => '',
                'show'      => -1,
        ), $atts );

    $args = array(
            'post_type' 		=> 'sites',
            'post_status'       => 'publish',
            'posts_per_page'    => $atts[ 'show' ],
			'tax_query' 		=> array(
                    array(
                            'taxonomy' => 'sitecategory',
                            'field'    => 'slug',
                            'terms'    => $atts['category'],
                    ),
            )
    );
	
	/*Query the post*/

		$wpspf_site_by_category_loop = new WP_Query($args);
		if ( $wpspf_site_by_category_loop->have_posts() ) : 
		$sitecategory = str_replace( '-', ' ', $atts['category'] );
		$wpspf_display_by_cat  = '<div class="wpspf-site-cont">';
		while ( $wpspf_site_by_category_loop->have_posts() ) : $wpspf_site_by_category_loop->the_post();
		
		
			global $post;
			/*==================================================
			Pull category for each unique post using the ID
			====================================================*/
		
				$cat_sitelink = get_permalink();
				$cat_sitetitle= get_the_title();
				$cat_sitethumbnail = get_the_post_thumbnail();
				$cat_sites= get_post_meta( get_the_ID());
				$cat_logo = esc_attr( get_option('logo_img') );
						if( empty( $cat_logo ) ){
							$cat_logo =  plugins_url('img/logoW.png', dirname(__FILE__));
						} 
			    $cat_imgload= plugins_url() . '/wp-site-portfolio/includes/img/Reload-1s-200px.gif';
			    $cat_loading_title = esc_html__('Loading Preview', 'wp-site-portfolio');
			    $cat_loading_desc = esc_html__('...The website is loading please wait a few seconds', 'wp-site-portfolio');
			    $cat_desktopWidth = esc_attr( get_option('desktop_width') );
			    $cat_desktopheight = esc_attr( get_option('desktop_height') );
		
		$wpspf_display_by_cat .= '<div class="wpspf-box-cont">'; 
		$wpspf_display_by_cat .= '<div class="wpspf-box">';	    
		/*$wpspf_display_by_cat .= sprintf('<div class="wpspf-box filter %s">', esc_html($tax ) );*/
		$wpspf_display_by_cat .= sprintf('<a href="%s"  title="%s">', esc_attr($cat_sites['sites_url'][0]), esc_html($cat_sitetitle) );
		$wpspf_display_by_cat .= '<div class="wpspf-thumbnail">';
		$wpspf_display_by_cat .=  $cat_sitethumbnail;
		$wpspf_display_by_cat .= '<div class="hover-text">';
		$wpspf_display_by_cat .= '<div class="text">';
		$wpspf_display_by_cat .= esc_html__('Preview','wp-site-portfolio');
		$wpspf_display_by_cat .= '<i class="fa fa-search-plus fa-2x" aria-hidden="true"></i>';
		$wpspf_display_by_cat .= '</div></div>';
		$wpspf_display_by_cat .= '</div>';
		$wpspf_display_by_cat .= '<div class="wpspf-title">';
		$wpspf_display_by_cat .= esc_html($cat_sitetitle);
		$wpspf_display_by_cat .= '</div>';
		$wpspf_display_by_cat .= '</a>';
		$wpspf_display_by_cat .= '</div>';
		$wpspf_display_by_cat .= '</div>';
		
		
		
		endwhile;
		$wpspf_display_by_cat .= '</div></div>';
		$wpspf_display_by_cat .=  '<div id="cont" class="lbcont" data-display="hidden">';
		$wpspf_display_by_cat .= '<div class="toolbar">';

		$wpspf_display_by_cat .= sprintf('<div class="logocont"><i class="logo"><img src="%s" height="35"></i></div>', 
			esc_url($cat_logo) );
		$wpspf_display_by_cat .= '<div class="iconcont">';
  		$wpspf_display_by_cat .= '<div class="phonecont"><i id="phone" class="wpspficon fa fa-mobile fa-2x icons" aria-hidden="true"></i></div>';
		$wpspf_display_by_cat .= '<div class="tabcont"><i id="tab" class="wpspficon fa fa-tablet fa-2x icons" aria-hidden="true"></i></div>';
		$wpspf_display_by_cat .= '<div class="compcont"><i id="comp" class="wpspficon fa fa-desktop fa-2x icons iconactive" aria-hidden="true"></i></div>';
		$wpspf_display_by_cat .= '</div>';
		$wpspf_display_by_cat .= '<div class="titlecont"><h1></h1>';
		$wpspf_display_by_cat .= '</div>';
		$wpspf_display_by_cat .= '<div class="closeback"></dir><i id="clos" class="wpspficon fa fa-times fa-1x icons" aria-hidden="true"></i></div>';
		$wpspf_display_by_cat .= '</div>';
		$wpspf_display_by_cat .= '<div class="wpspf_iframecont">';
		$wpspf_display_by_cat .= '<div class="loading-iframe" id="loading_iframe">';
		$wpspf_display_by_cat .= sprintf('<div class="loading-title"><h2>%s</h2></div>', esc_html($cat_loading_title) );
		$wpspf_display_by_cat .= sprintf('<div class="loading-desc"><p>%s</p>', esc_html($cat_loading_desc) );
		$wpspf_display_by_cat .= sprintf( '<img src="%s"></div>', esc_url($cat_imgload) );
		$wpspf_display_by_cat .= '</div>';
		$wpspf_display_by_cat .= '</div>';
		$wpspf_display_by_cat .= '</div>';
		

		  else:

    	$wpspf_display_by_cat = sprintf( __( '<p class="job-error">Sorry, no sites listed in %s where found.</p>' ), esc_html__( ucwords( str_replace( '-', ' ', $atts['category'] ) ) ) );

    endif;

	return $wpspf_display_by_cat;
	 
}

add_shortcode('site_portfolio_by_category', 'wpspf_category_shortcode');