<?php
/**
*
*@package wp-site-portfolio
*/
//Create custom meta box
function wpspf_add_custom_metabox(){
	
	add_meta_box(
	'wpspf_meta',
	__('Site Portfolio', 'wp-site-portfolio'),
	'wpspf_meta_callback',
	'sites',
	'normal',
	'core'
	);
}

add_action('add_meta_boxes', 'wpspf_add_custom_metabox');	

//This function wpspf_meta_callback is were to add the fields in HTML to the callback in the wpspf_meta_callback //
function wpspf_meta_callback( $post ){
	wp_nonce_field( basename( __FILE__ ), 'wpspf_url_nonce' );
	$wpspf_stored_meta = get_post_meta( $post->ID );
	
	?>
    <div>
    	<div class="meta-row">
        	<div class="meta-th">
            	<label for='sites-url' class="wpspf-row-title"><?php echo esc_html__('Enter Website URL', 'wp-site-portfolio')?>
                </label>
            </div>
            	<div class="meta-td">
                	<input type="url" name="sites_url" id="sites-url"
                     value="<?php if ( ! empty ( $wpspf_stored_meta['sites_url'] ) ){
					  echo esc_attr( $wpspf_stored_meta['sites_url'][0]);
					   } ?>"/>
                </div>
        </div>
    </div>
   
    <?php
}

function wpspf_meta_save( $post_id ){
	//Checks save status
	$is_autosave = wp_is_post_autosave( $post_id );
	$is_revision = wp_is_post_revision( $post_id );
	$is_valid_nonce = ( isset ( $_POST[ 'wpspf_url_nonce' ]) && wp_verify_nonce( $_POST[ 'wpspf_url_nonce' ], basename( __FILE__ ) ) ) ? 'true' : 'false';
	
	//Exit script depending on save status
	if ( $is_autosave || $is_revision || !$is_valid_nonce){
		return;
	}
	
	if ( isset( $_POST['sites_url'] ) ){
		update_post_meta( $post_id, 'sites_url', sanitize_text_field( $_POST['sites_url'] ) );
		}
}


add_action( 'save_post', 'wpspf_meta_save' );

