<?php
/**
*
*@package wp-site-portfolio
*/
//registering the cpt
function wpspf_register_post_type(){
	
	$singular = __('Site Portfolio', 'wp-site-portfolio');
	$plural = __('Sites Portfolio', 'wp-site-portfolio');
	$labels = array(
		'name'					 => $plural,
		'singular_name'			 => $singular,
		'add_new' 				 => __('Add New', 'wp-site-portfolio'),
		'add_new_item'			 => __('Add New Portfolio', 'wp-site-portfolio'),
		'edit'					 => __('Edit Portfolio', 'wp-site-portfolio'),
		'edit_item'				 => __('Edit Portfolio', 'wp-site-portfolio'),
		'new_item'				 => __('New Portfolio', 'wp-site-portfolio'),
		'view'					 => __('View Portfolio', 'wp-site-portfolio'),
		'view_item'				 => __('View  Portfolio', 'wp-site-portfolio'),
		'view_items'			 => __('View Portfolio', 'wp-site-portfolio'),
		'search_term'			 => __('Search Portfolio', 'wp-site-portfolio'),
		'parent'			 	 => __('Parent Portfolio', 'wp-site-portfolio'),
		'not_found'				 => __('No Portfolio found', 'wp-site-portfolio'),
		'not_found_in_trash'	 => __('No Portfolio found in Trash', 'wp-site-portfolio')
		
		
	);
	
	$args = array(
		'labels'				 => $labels,
		'poblic'				 => true,
		'publicly_queryable'	 => true,
		'exclude_form_search'	 => false,
		'show_in_nav_menus'		 => true,
		'show_ui'				 => true,
		'menu_position'			 => 20,
		'menu_icon'				 => 'dashicons-desktop',
		'can_export'			 => true,
		'delete_with_user'		 => false,
		'hierarchical'			 => false,
		'has_archive'			 => true,
		'query_var'				 => true,
		'capabiity_type'		 => 'page',
		'map_meta_cap'			 => true,
		'rewrite'  => array(
			'slog'			 => 'sites',
			'with_front'	 => true,
			'pages'			 => true,
			'feeds'			 => false,
		),
		'supports' => array(
			'title',
			'custom-fileds',
			'thumbnail'
		)
	);
	
	register_post_type( 'sites', $args);
	
}
add_action( 'init', 'wpspf_register_post_type');

//registering the taxonomy for the cpt
function wpspf_register_taxonomy(){
	
	
	$plural = esc_html__('Categories', 'wp-site-portfolio');
	$singular = esc_html__('Category', 'wp-site-portfolio');
	
	$labels = array(
	'name'								 => $plural,
	'singular_name'						 => $singular,
	'search_items'						 => __('Search Categories', 'wp-site-portfolio'),
	'all_items'							 => __('All Categories', 'wp-site-portfolio'),
	'parent_item'						 => null,
	'parent_item_colon'					 => null,
	'edit_item'							 => __('Edit Category', 'wp-site-portfolio'),
	'update_item'						 => __('Update Category', 'wp-site-portfolio'),
	'add_new_item'						 => __('Add New Category', 'wp-site-portfolio'),
	'separate_items_with_commas'		 => __('Separat Categories', 'wp-site-portfolio'),
	'add_or_remove_items'				 => __('Add or remove Categories', 'wp-site-portfolio'),
	'choose_from_most_used'				 => __('Choose from the most used Categories', 'wp-site-portfolio'),
	'not_found'							 => __('NO Categories found', 'wp-site-portfolio'),
	'menu_name'							 => $plural
	
	);
	
	$args = array(
		'hierarchical' 					=> true,
		'labels' 						=> $labels,
		'show_ui'						=> true,
		'show_admin_column'				=> true,
		'update_count_callback'			=> '_update_post_term_count',
		'query_var'						=> true,
		'rewrite'						=> array( 'slug' => 'sitecategory' ),
	);
	
	register_taxonomy( 'sitecategory','sites', $args );
}
add_action('init', 'wpspf_register_taxonomy');
